/{organizationId}/crm/groups/types/listGets a list of contact group types
Path Parameters
organizationIdstringrequired Request Body required
Content-Type: application/json
limitintegeroptional Default: 50
minimum: 0
maximum: 100
offsetintegeroptional Default: 0
minimum: 0
maximum: 9007199254740991
returnCountbooleanoptional Default: false
searchTermstringoptional Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/crm/groups/types/list' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"sort": {},
"limit": 50,
"offset": 0
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
countintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"count": 0,
"types": [
{
"_id": "000000000000000000000001",
"name": "string",
"numberPrefix": "string",
"suggestFamilyMembers": true,
"memberCustomFields": {
"groups": [
{
"id": "string",
"label": "string",
"fields": [
{
"id": "string",
"type": "placeholder",
"name": "string"
}
]
}
]
},
"groupCustomFields": {
"groups": [
{
"id": "string",
"label": "string",
"fields": [
{
"id": "string",
"type": "placeholder",
"name": "string"
}
]
}
]
}
}
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}